<?php

namespace App\Core\Repository\Product;

use App\Models\Product;
use App\Core\Repository\EleqouentAbstractRepository;

class ProductRepository extends EleqouentAbstractRepository
{
    private $product;

    public function __construct(Product $product)
    {
        parent::__construct();

        $this->product = $product;
        $this->defaultModel = $this->product;
    }

}